darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.UI.Usage

Description

This module provides a variant of `usageInfo`.

Unlike the standard `usageInfo` function, lists of long switches are broken across multiple lines to economise on columns. For example,

       -r  --recursive           add contents of subdirectories
           --not-recursive,
           --no-recursive        don't add contents of subdirectories

Synopsis

- usageInfo :: String -> [DarcsOptDescr a] -> String

# Documentation

usageInfo :: String -> [DarcsOptDescr a] -> String #

Variant of `usageInfo`. Return a string describing the usage of a command, derived from the header (first argument) and the options described by the second argument.

Sequences of long switches are presented on separate lines.